<?php

namespace Drupal\ui_components\TwigExtension;

use Drupal\Core\Template\TwigExtension;
use Drupal\Core\Render\RendererInterface;
use Drupal\Core\Extension\ModuleHandlerInterface;

/**
 * A Twig extension for UI Components.
 */
class UiComponents extends TwigExtension {

  /**
   * The module handler.
   *
   * @var \Drupal\Core\Extension\ModuleHandlerInterface
   */
  protected $moduleHandler;

  /**
   * {@inheritdoc}
   */
  public function __construct(RendererInterface $renderer, ModuleHandlerInterface $module_handler) {
    parent::__construct($renderer);
    $this->moduleHandler = $module_handler;
  }

  /**
   * Gets a unique identifier for this Twig extension.
   *
   * @return string
   *   A unique identifier for this Twig extension.
   */
  public function getName() {
    return 'ui_components';
  }

  /**
   * {@inheritdoc}
   */
  public function getGlobals() {
    $globals = [];
    $this->moduleHandler->alter('ui_components_globals', $globals);
    return $globals;
  }

}
